Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties.tabbed
Interface ITabbedPropertySheetPageContributor

    public interface ITabbedPropertySheetPageContributor

Interface for a workbench part to contribute content to the tabbed property view.

It is expected that the contributor ID is unique for a configuration of tabs and sections. Editors and views can share a configuration by sharing a contributor ID. Editors and views cannot share tabs and sections from multiple contributors.

As a workaround, if all the elements in a structured selection implement ITabbedPropertySheetPageContributor and they all return the same unique contributor ID, then that configuration of tabs and sections will be used by the tabbed property view for that selection.

Method Summary
`String` `getContributorId()` Returns the contributor ID for the tabbed property sheet page.

Method Detail

### getContributorId

    String getContributorId()

  Returns the contributor ID for the tabbed property sheet page.

  Returns:
    the contributor ID for the tabbed property sheet page.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.